/*chLineLbl use information in line transfer arrays to generate a line label */
/* this label is null terminated */
#include "cddefines.h"
#include "elementnames.h"
#include "taulines.h"
#include "chlinelbl.h"

char* chLineLbl(float tarray[])
{
	static char chLineLbl_v[11];
	long int iWl;

#	ifdef DEBUG_FUN
	fputs( "<+>chLineLbl()\n", debug_fp );
#	endif


	/* function to use information within the line array
	 * to generate a line label, giving element and
	 * ionization stage
	 * rhs are set in large block data */

	/* NB this funciton is profoundly slow due to write statement
	 * also - it cannot be evaluated within a write statement itself*/

	iWl = (long int)tarray[IPLNWLANG-1];
	if( iWl > 99999 )
	{
		sprintf( chLineLbl_v, "%2.2s%2.2s%5ld%c", 
			elementnames.chElementSym[(long)(tarray[IPLNNELEM-1])-1], 
			elementnames.chIonStage[(long)(tarray[IPLNIONSTG-1])-1], 
		   iWl/10000, 'm' );
	}
	else if( iWl > 9999 )
	{
		sprintf( chLineLbl_v, "%2.2s%2.2s%5.2f%c", 
			elementnames.chElementSym[(long)(tarray[IPLNNELEM-1])-1], 
			elementnames.chIonStage[(long)(tarray[IPLNIONSTG-1])-1], 
		   tarray[IPLNWLANG-1]/1e4, 'm' );
	}
	else if( iWl >= 100 )
	{
		sprintf( chLineLbl_v, "%2.2s%2.2s%5ld%c", 
			elementnames.chElementSym[(long)(tarray[IPLNNELEM-1])-1], 
			elementnames.chIonStage[(long)(tarray[IPLNIONSTG-1])-1], 
		   iWl, 'A' );
	}
	else if( iWl >= 10 )
	{
		sprintf( chLineLbl_v, "%2.2s%2.2s%5.1f%c", 
			elementnames.chElementSym[(long)(tarray[IPLNNELEM-1])-1], 
			elementnames.chIonStage[(long)(tarray[IPLNIONSTG-1])-1], 
		   tarray[IPLNWLANG-1], 'A' );
	}
	else
	{
		sprintf( chLineLbl_v, "%2.2s%2.2s%5.2f%c", 
			elementnames.chElementSym[(long)(tarray[IPLNNELEM-1])-1], 
			elementnames.chIonStage[(long)(tarray[IPLNIONSTG-1])-1], 
		   tarray[IPLNWLANG-1], 'A' );
	}

#	ifdef DEBUG_FUN
	fputs( " <->chLineLbl()\n", debug_fp );
#	endif
	return( chLineLbl_v );
}

