/*CoolPota compute potassium cooling */
#include "cddefines.h"
#include "taulines.h"
#include "tepowers.h"
#include "phycon.h"
#include "level2.h"
#include "putcs.h"
#include "level3.h"
#include "coolmetals.h"

void CoolPota()
{
	double cs;

#	ifdef DEBUG_FUN
	fputs( "<+>CoolPota()\n", debug_fp );
#	endif

	/* potasium lines
	 * KI 7745 */
	cs = 7.231e-4*phycon.te*TePowers.te03*TePowers.te02;
	PutCS(cs,&TauLines[ipKI7745][0]);
	level2(&TauLines[ipKI7745][0]);

	/* [K III] 4.62 microns
	 * Y(ik) from 
	 * >>refer Pelan, J., & Berrington, K.A. 1995, A&A Suppl, 110, 209 */
	PutCS(2.2,&TauLines[ipxK03462][0]);
	level2(&TauLines[ipxK03462][0]);

	/* [KIV] 5.983, 15.39 mic, cs from 
	 * >>refer Galavis, M.E., Mendoza, C., & Zeippen, C.J. 1995, A&AS, 111, 347 */
	PutCS(4.3,&TauLines[ipxK04598][0]);
	PutCS(1.13,&TauLines[ipxK04154][0]);
	PutCS(1.3,TauDummy);
	/* level3(  t10,t21,t20) */
	level3(&TauLines[ipxK04598][0],&TauLines[ipxK04154][0],TauDummy);

	/* [KVI] 8.823, 5.575 mic, cs from 
	 * >>refer Galavis, M.E., Mendoza, C., & Zeippen, C.J. 1995, A&AS, 111, 347 */
	cs = MIN2(1.505,0.274*TePowers.te10*TePowers.te05/TePowers.te001/
	  TePowers.te001);
	PutCS(cs,&TauLines[ipxK06882][0]);

	cs = MIN2(4.632,1.909*TePowers.te10/TePowers.te003);
	cs = MAX2(4.0,cs);
	PutCS(cs,&TauLines[ipxK06557][0]);
	PutCS(1.2,TauDummy);

	level3(&TauLines[ipxK06882][0],&TauLines[ipxK06557][0],TauDummy);

	/* [K VII] 3.189 microns cs from 
	 * >>refer Saraph, H.E., & Storey, P.J. A&AS, 115, 151 */
	PutCS(4.5,&TauLines[ipxK07319][0]);
	level2(&TauLines[ipxK07319][0]);

	/* K 11 4249.99A, cs from 
	 * >>refer Saraph, H.E. & Tully, J.A. 1994, A&AS, 107, 29 */
	cs = MIN2(0.172,0.0109*TePowers.te20*TePowers.te02/
	  TePowers.te001/TePowers.te001);
	cs = MAX2(0.111,cs);
	PutCS(0.115,&TauLines[ipxK11425][0]);

	level2(&TauLines[ipxK11425][0]);


#	ifdef DEBUG_FUN
	fputs( " <->CoolPota()\n", debug_fp );
#	endif
	return;
}

