/*DumpLine print various information about an emission line vector, used in debugging */
#include <string.h>
#include "cddefines.h"
#include "phycon.h"
#include "chlinelbl.h"
#include "texcline.h"
#include "taulines.h"
#include "dumpline.h"

void DumpLine(float t[])
{
	char chLbl[11];

#	ifdef DEBUG_FUN
	fputs( "<+>DumpLine()\n", debug_fp );
#	endif

	/* routine to print contents of line arrays */
	strcpy( chLbl, chLineLbl(t) );

	fprintf( ioQQQ, 
		" Dump of %10.10s te=%e eden=%e CS=%8.2e Aul=%8.2e Texc=%e cool,heat=%e%e\n", 
	  chLbl, 
	  phycon.te, 
	  phycon.eden, 
	  t[IPLNCS-1], 
	  t[IPLNAUL-1], 
	  TexcLine(t), 
	  t[IPLNCOOL-1], 
	  t[IPLNHEAT-1] );

	fprintf( ioQQQ, 
		"  Tin%e Tout%e EscP%e DesP%e Pump%e OTS%e PopL,U%e %e\n", 
	  t[IPLNTAUIN-1], 
	  t[IPLNTAUTOT-1], 
	  t[IPLNESCP-1], 
	  t[IPLNDESP-1], 
	  t[IPLNPUMP-1], 
	  t[IPLNOTS-1], 
	  t[IPLNPOPL-1], 
	  t[IPLNPOPU-1] );


#	ifdef DEBUG_FUN
	fputs( " <->DumpLine()\n", debug_fp );
#	endif
	return;
}

