/*escsub escape probability radiative transfer for subordinate lines */
#include "cddefines.h"
#define	SCALE	2.
#include "touton.h"
#include "twoway.h"
#include "esccom.h"
#include "escsub.h"

double escsub(double tau, 
  double tout, 
  double damp)
{
	double escsub_v, 
	  t;

#	ifdef DEBUG_FUN
	fputs( "<+>escsub()\n", debug_fp );
#	endif

	if( touton.lgTauOutOn )
	{
		/* outward optical depths are defined, but don't let them go negat */
		t = tout - tau;
		/*  help convergence by not letting tau go to zero at back edge of
		 *  when there was a bad guess for the total optical depth
		 *note that this test is seldom hit since makestatrt does check for overrun */
		if( t < 0. )
			t = tau/SCALE;
		twoway.wayin = (float)esccom(tau,damp);
		twoway.wayout = (float)esccom(t,damp);
		twoway.fracin = twoway.wayin/(twoway.wayin + twoway.wayout);
		escsub_v = 0.5*(twoway.wayin + twoway.wayout);
	}
	else
	{
		/* first iteration, outward optical depths not defined
		 * dont estimate fraction in */
		twoway.fracin = 0.;
		twoway.wayout = 1.;
		escsub_v = esccom(tau,damp);
		twoway.wayin = (float)escsub_v;
	}


#	ifdef DEBUG_FUN
	fputs( " <->escsub()\n", debug_fp );
#	endif
	return( escsub_v );
}

