/* grainvar.h */
#define	LIMCRS	260L
#define	NDEMS	50L
#define	NDUST	20L
#define	NQGRID	200L

EXTERN struct t_GrainVar {
	float dstq[NDUST], 
	  dstpot[NDUST], 
	  dstpotsav[NDUST], 
	  DustPhotoE[NDUST][NCELL], 
	  dqabs[NDUST][NCELL], 
	  dqscat[NDUST][NCELL], 
	  DustDftVel[NDUST], 
	  avdft[NDUST];
	int lgDustOn;
	float dstfactor[NDUST];
	int lgDustOn1[NDUST], 
	  lgDustVary[NDUST];
	double dstab[NCELL], 
	  dstab1[NDUST][NCELL], 
	  dstsc[NCELL], 
	  dstsc1[NDUST][NCELL];
	float dstAbund[NDUST], 
	  dustp[NDUST][4], 
	  eev[NDUST][LIMCRS], 
	  sab[NDUST][LIMCRS], 
	  sse[NDUST][LIMCRS];
	long int ndpts[NDUST];
	float darea[NDUST], 
	  dsize[NDUST], 
	  dstela[NDUST][4], 
	  dstelz[NDUST][4], 
	  dheat[NDUST], 
	  DustWorkFcn[NDUST];
	double dstems[NDUST][NDEMS],
	  dstslp[NDUST][NDEMS], 
	  dsttmp[NDEMS];
	long int ipDwork[NDUST], 
	  ipDustPot[NDUST], 
	  nDustOn, 
	  ipdon[NDUST];
	int lgQHeat[NDUST];
	float qtmin, 
	  qtmax, 
	  qwavec;
	long int nqhg1;
	float qdudt0, 
	  qhnrat[NDUST], 
	  qdep[NDUST], 
	  qtemp[NQGRID][NDUST], 
	  qhprob[NQGRID][NDUST], 
	  qcu1, 
	  qtcol, 
	  tequil1[NDUST];
	long int nqp1[NDUST], 
	  nqout1;
	FILE *iqp;
	float Tsublimat[NDUST], 
	  tedust[NDUST], 
	  TeGrainMax[NDUST], 
	  reftot, 
	  avhden, 
	  avdust[NDUST], 
	  avdpot[NDUST], 
	  thtot, 
	  yhat[NDUST][NCELL], 
	  yn[NDUST][NCELL];
	}	GrainVar;
EXTERN struct t_chGrainVar {
	char chDstLab[NDUST][11];
	}	chGrainVar;

/*
 *number of grain species, set up to 20 to include K Volk's PAHs
 *
 *limit to numbers of cross sections for grain opacity
 *
 *
 *appears in dimension statement for Kevin Volk quantum heating add
 *
 ****************************************************************
 *
 *dstpot is grain potential in Ryd, dstq is charge, derived from dstpot
 *dstpotsav saves initial grain temp for reseting at start of zone calc
 *
 *difference between photon energy and work function for grains
 *
 *
 *DustDftVel is dust drift velocity
 *
 *dstfactor is abundance set with grains command, stays constant over calculaiton
 *dstAbund is abundance that may depend on depth
 *lgDustOn says whether any grains are enabled
 *lgDustOn1 says whether that particular species is on
 *lgDustVary says to use special function to vary grain abundance over model
 *set with keyword function on grain command
 *
 *
 *
 *
 *
 *grain heating rate for this zone
 *
 *work function (Ioniz pot) of various grain species
 *
 *pointers to work function of each grain species
 *
 *pointer toi cell with floating potential of grains
 *
 *nDustOn number of grain species turned on
 *
 *Kevin Volk add for quantum heating of grains
 *
 *Kevin Volk add for quantum heating of grains
 *
 *grain sublimation tempeatures
 *
 *temperature of each grain species
 *
 *highest temperature a grain species gets in calc
 *
 *
 *
 *
 *
 *     labels for types of dust grains
 */
