/* hevmolec.h */
#define	NHEVML	18
#define	IPC2P	12
#define	IPCH	1
#define	IPCH2	16
#define	IPCH2P	15
#define	IPCH3	17
#define	IPCHP	2
#define	IPCO	7
#define	IPCOP	8
#define	IPCP	18
#define	IPCTWO	6
#define	IPH2O	9
#define	IPH2OP	10
#define	IPH3OP	14
#define	IPH3P	13
#define	IPO2P	11
#define	IPOH	3
#define	IPOHP	4
#define	IPOTWO	5

EXTERN struct t_hevmolec {
	float hevmol[NHEVML], 
	  hevcol[NHEVML], 
	  HevMolSav[NHEVML];
	}	hevmolec;

/*
 *molecules of the heavy elements.  order must exactly match that in hevcolumn
 *number of molecules in heavy element network
 *
 *     this is the explicit version of this common
 *
 *
 *     real ch,chp,oh,ohp,otwo,ctwo,co,cop,h2o,h2op,o2p,c2p,
 *    1 h3p,h3op,ch2p,ch2,ch3,cp
 *     old equil (hevmol(1),ch), (hevmol(2),chp), (hevmol(3),oh),
 *    1 (hevmol(4),ohp), (hevmol(5),otwo), (hevmol(6),ctwo),
 *    2 (hevmol(7),co), (hevmol(8),cop), (hevmol(9),h2o),
 *    3 (hevmol(10),h2op), (hevmol(11),o2p), (hevmol(12),c2p),
 *    4 (hevmol(13), h3p), (hevmol(14),h3op), (hevmol(15),ch2p),
 *    5 (hevmol(16),ch2), (hevmol(17),ch3), (hevmol(18),cp) 
 *
 *column densities of molecules
 *     real chk,chpk,ohk,ohpk,otwok,ctwok,cok,copk,h2ok,h2opk,
 *    1 o2pk,c2pk,h3pk,h3opk,ch2pk,ch2k,ch3k,cpk
 *     old equil (hevcol(1),chk), (hevcol(2),chpk), (hevcol(3),ohk),
 *    1 (hevcol(4),ohpk), (hevcol(5),otwok), (hevcol(6),ctwok),
 *    2 (hevcol(7),cok), (hevcol(8),copk), (hevcol(9),h2ok),
 *    3 (hevcol(10),h2opk), (hevcol(11), o2pk), (hevcol(12),c2pk),
 *    4 (hevcol(13),h3pk), (hevcol(14),h3opk), (hevcol(15),ch2pk),
 *    5 (hevcol(16),ch2k), (hevcol(17),ch3k), (hevcol(18),cpk)
 */
