/*hfit photoionization cross section for excited hydrogenic states */
#include "cddefines.h"
#include "hfit.h"

void hfit(float *h0, 
	  float *power, 
	  long int n)
{
	double fn;

#	ifdef DEBUG_FUN
	fputs( "<+>hfit()\n", debug_fp );
#	endif

	/* better than 1 percent fit for n>= 30 */
	fn = sqrt((double)n);
	*h0 = (float)POW2(1.3962688e-10 + 2.7479352e-9*fn);
	/* same for power */
	if( n < 1000 )
	{
		*power = (float)(2.99377 + 1.11784e-5*n - 0.382905/n - 
			6.72051e-9*n* n);
	}
	else
	{
		*power = 3.;
	}


#	ifdef DEBUG_FUN
	fputs( " <->hfit()\n", debug_fp );
#	endif
	return;
}

