/*MakeCS compute collision strength by g-bar approximations */
#include "cddefines.h"
#include "physconst.h"
#include "ionfracs.h"
#include "gbar0.h"
#include "gbar1.h"
#include "makecs.h"
#include "taulines.h"

void MakeCS(float t[])
{
	long int ion;
	double Abun, 
	  cs;
	float
	  gbar;

#	ifdef DEBUG_FUN
	fputs( "<+>MakeCS()\n", debug_fp );
#	endif

	/* routine to get cs from various approximations */

	/* check if abundance greater than 0 */
	ion = (long)t[IPLNIONSTG-1];
	Abun = xIonFracs[ion][(long)(t[IPLNNELEM-1])-1];
	if( Abun <= 0. )
	{
		gbar = 1.;
	}
	else
	{
		/* check if neutral or ion */
		if( ion == 1 )
		{
			/* neutral - compute gbar for evantual cs */
			gbar0(t[IPLNBOLT-1],&gbar);
		}
		else
		{
			/* ion - compute gbar for evantual cs */
			gbar1(t[IPLNBOLT-1],&gbar);
		}
	}

	/* above was g-bar, convert to cs */
	cs = gbar*(14.5104/WAVNRYD)*t[IPLNGF-1]/t[IPLNENRWN-1];

	/* stuff the cs in place */
	t[IPLNCS-1] = (float)cs;


#	ifdef DEBUG_FUN
	fputs( " <->MakeCS()\n", debug_fp );
#	endif
	return;
}

