/*ZeroAbund set initial abundances for different mixes */
#ifdef _MSC_VER
#pragma warning( disable : 4305 )/* disable bogus const double to float in MS VS*/
#endif
#include "cddefines.h"
#include "solars.h"
#include "zero.h"

void ZeroAbund()
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>ZeroAbund()\n", debug_fp );
#	endif

	/* solar abundances Grevesse and Anders 1989, Grevesse and Noel 1993 */
	solars.SolarSave[0] = 1.0;
	solars.SolarSave[1] = 0.100;
	solars.SolarSave[2] = 2.04e-9;
	solars.SolarSave[3] = 2.63e-11;
	solars.SolarSave[4] = 7.59e-10;
	solars.SolarSave[5] = 3.55e-4;
	solars.SolarSave[6] = 9.33e-5;
	solars.SolarSave[7] = 7.41e-4;
	solars.SolarSave[8] = 3.02e-8;
	solars.SolarSave[9] = 1.17e-4;
	solars.SolarSave[10] = 2.06e-6;
	solars.SolarSave[11] = 3.80e-5;
	solars.SolarSave[12] = 2.95e-6;
	solars.SolarSave[13] = 3.55e-5;
	solars.SolarSave[14] = 3.73e-7;
	solars.SolarSave[15] = 1.62e-5;
	solars.SolarSave[16] = 1.88e-7;
	solars.SolarSave[17] = 3.98e-6;
	solars.SolarSave[18] = 1.35e-7;
	solars.SolarSave[19] = 2.29e-6;
	solars.SolarSave[20] = 1.58e-9;
	solars.SolarSave[21] = 1.10e-7;
	solars.SolarSave[22] = 1.05e-8;
	solars.SolarSave[23] = 4.84e-7;
	solars.SolarSave[24] = 3.42e-7;
	solars.SolarSave[25] = 3.24e-5;
	solars.SolarSave[26] = 8.32e-8;
	solars.SolarSave[27] = 1.76e-6;
	solars.SolarSave[28] = 1.87e-8;
	solars.SolarSave[29] = 4.52e-8;

	/* Nova Cyg 75 abundances, C, O, NE UP 20, NIT UP 100, REST SOLAR AR */
	solars.anova[0] = 1.0;
	solars.anova[1] = 0.098;
	solars.anova[2] = 2.04e-9;
	solars.anova[3] = 2.6e-11;
	solars.anova[4] = 7.60e-9;
	solars.anova[5] = 9.4e-4;
	solars.anova[6] = 9.8e-3;
	solars.anova[7] = 1.7e-2;
	solars.anova[8] = 3.02e-8;
	solars.anova[9] = 2.03e-3;
	solars.anova[10] = 2.06e-6;
	solars.anova[11] = 3.80e-5;
	solars.anova[12] = 2.95e-6;
	solars.anova[13] = 3.55e-5;
	solars.anova[14] = 3.73e-7;
	solars.anova[15] = 1.62e-5;
	solars.anova[16] = 1.88e-7;
	solars.anova[17] = 3.63e-6;
	solars.anova[18] = 1.35e-7;
	solars.anova[19] = 2.29e-6;
	solars.anova[20] = 1.22e-9;
	solars.anova[21] = 8.60e-8;
	solars.anova[22] = 1.05e-8;
	solars.anova[23] = 4.84e-7;
	solars.anova[24] = 3.42e-7;
	solars.anova[25] = 4.68e-5;
	solars.anova[26] = 2.24e-9;
	solars.anova[27] = 1.76e-6;
	solars.anova[28] = 1.87e-8;
	solars.anova[29] = 4.52e-8;

	/* primordial abundances */
	solars.aprim[0] = 1.0;
	solars.aprim[1] = 0.072;
	solars.aprim[2] = 1e-10;
	solars.aprim[3] = 1e-16;

	for( i=4; i < LIMELM; i++ )
	{
		solars.aprim[i] = 1e-25;
	}

	/* typical ISM abundances, mean of Table 3, Cowie+Songaila, Ann Rev '86
	 * also Table 5, Savage and Sembach, Ann Rev 1996 */
	solars.aism[0] = 1.;
	solars.aism[1] = 0.098;
	solars.aism[2] = 5.4e-11;
	solars.aism[3] = 1e-20;
	solars.aism[4] = 8.9e-11;
	solars.aism[5] = 2.51e-4;
	solars.aism[6] = 7.94e-5;
	solars.aism[7] = 5.01e-4;
	solars.aism[8] = 1e-20;
	solars.aism[9] = 1.23e-4;
	solars.aism[10] = 3.16e-7;
	solars.aism[11] = 1.26e-5;
	solars.aism[12] = 7.94e-8;
	solars.aism[13] = 3.16e-6;
	solars.aism[14] = 1.6e-7;
	solars.aism[15] = 3.24e-5;
	solars.aism[16] = 1e-7;
	solars.aism[17] = 2.82e-6;
	solars.aism[18] = 1.1e-8;
	solars.aism[19] = 4.1e-10;
	solars.aism[20] = 1e-20;
	solars.aism[21] = 5.8e-10;
	solars.aism[22] = 1.0e-10;
	solars.aism[23] = 1.0e-8;
	solars.aism[24] = 2.3e-8;
	solars.aism[25] = 6.31e-7;
	solars.aism[26] = 1e-20;
	solars.aism[27] = 1.82e-8;
	solars.aism[28] = 1.5e-9;
	solars.aism[29] = 2.0e-8;

	/* HII region abundances, Orion mean of Baldwin et al, Rubin et al,
	 * and DEO et al, all 1991 apj
	 * also Table 5, Savage and Sembach, Ann Rev 1996 for ism */
	solars.ahii[0] = 1.;
	solars.ahii[1] = 0.095;
	solars.ahii[2] = 5.4e-11;
	solars.ahii[3] = 1e-20;
	solars.ahii[4] = 8.9e-11;
	solars.ahii[5] = 3.e-4;
	solars.ahii[6] = 7.0e-5;
	solars.ahii[7] = 4.0e-4;
	solars.ahii[8] = 1e-20;
	solars.ahii[9] = 6e-5;
	solars.ahii[10] = 3e-7;
	solars.ahii[11] = 3.e-6;
	solars.ahii[12] = 2.e-7;
	solars.ahii[13] = 4.e-6;
	solars.ahii[14] = 1.6e-7;
	solars.ahii[15] = 1.0e-5;
	solars.ahii[16] = 1.e-7;
	solars.ahii[17] = 3.e-6;
	solars.ahii[18] = 1.1e-8;
	solars.ahii[19] = 2.e-8;
	solars.ahii[20] = 1e-20;
	solars.ahii[21] = 5.8e-10;
	solars.ahii[22] = 1.0e-10;
	solars.ahii[23] = 1.0e-8;
	solars.ahii[24] = 2.3e-8;
	solars.ahii[25] = 3.0e-6;
	solars.ahii[26] = 1e-20;
	solars.ahii[27] = 1e-7;
	solars.ahii[28] = 1.5e-9;
	solars.ahii[29] = 2.0e-8;

	/* PN abund from Aller+Czyzak, ApJ Sup 51, 211 */
	solars.apn[0] = 1.;
	solars.apn[1] = 0.1;
	solars.apn[2] = 1e-20;
	solars.apn[3] = 1e-20;
	solars.apn[4] = 1e-20;
	solars.apn[5] = 7.8e-4;
	solars.apn[6] = 1.8e-4;
	solars.apn[7] = 4.4e-4;
	solars.apn[8] = 3e-7;
	solars.apn[9] = 1.1e-4;
	solars.apn[10] = 1.9e-6;
	solars.apn[11] = 1.6e-6;
	solars.apn[12] = 2.7e-7;
	solars.apn[13] = 1e-5;
	solars.apn[14] = 2e-7;
	solars.apn[15] = 1e-5;
	solars.apn[16] = 1.7e-7;
	solars.apn[17] = 2.7e-6;
	solars.apn[18] = 1.2e-7;
	solars.apn[19] = 1.2e-8;
	solars.apn[20] = 1e-20;
	solars.apn[21] = 1e-20;
	solars.apn[22] = 1e-20;
	solars.apn[23] = 1e-20;
	solars.apn[24] = 1e-20;
	solars.apn[25] = 5.0e-7;
	solars.apn[26] = 1e-20;
	solars.apn[27] = 1.8e-8;
	solars.apn[28] = 1e-20;
	solars.apn[29] = 1e-20;

	/* mix from Cameron 1982, in "Essays on Nuclear Astro" */
	solars.camern[0] = 1.;
	solars.camern[1] = .0677;
	solars.camern[2] = 2.2e-9;
	solars.camern[3] = 4.5e-11;
	solars.camern[4] = 3.4e-10;
	solars.camern[5] = 4.22e-4;
	solars.camern[6] = 8.72e-5;
	solars.camern[7] = 6.93e-4;
	solars.camern[8] = 2.9e-8;
	solars.camern[9] = 9.77e-5;
	solars.camern[10] = 2.25e-6;
	solars.camern[11] = 3.98e-5;
	solars.camern[12] = 3.20e-6;
	solars.camern[13] = 3.76e-5;
	solars.camern[14] = 2.4e-7;
	solars.camern[15] = 1.88e-5;
	solars.camern[16] = 1.78e-7;
	solars.camern[17] = 3.99e-6;
	solars.camern[18] = 1.3e-7;
	solars.camern[19] = 2.35e-6;
	solars.camern[20] = 1.16e-9;
	solars.camern[21] = 9.0e-8;
	solars.camern[22] = 9.5e-9;
	solars.camern[23] = 4.8e-7;
	solars.camern[24] = 3.5e-7;
	solars.camern[25] = 3.38e-5;
	solars.camern[26] = 8.27e-8;
	solars.camern[27] = 1.80e-6;
	solars.camern[28] = 2.0e-8;
	solars.camern[29] = 4.7e-8;


#	ifdef DEBUG_FUN
	fputs( " <->ZeroAbund()\n", debug_fp );
#	endif
	return;
}

